Bug 1369031 (CVE-2016-6888) - CVE-2016-6888 Qemu: net: vmxnet: integer overflow in packet initialisation
Summary: CVE-2016-6888 Qemu: net: vmxnet: integer overflow in packet initialisation
Status: NEW
Alias: CVE-2016-6888
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160809,reported=2...
Keywords: Security
Depends On: 1369032 1476049 1476068 1476069 1476072 1476074 1476077
Blocks: 1344063 1476084
TreeView+ depends on / blocked
 
Reported: 2016-08-22 11:17 UTC by Prasad J Pandit
Modified: 2018-07-18 14:59 UTC (History)
37 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC
Red Hat Product Errata RHSA-2017:2408 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-08-02 01:17:55 UTC

Description Prasad J Pandit 2016-08-22 11:17:09 UTC
Quick Emulator(Qemu) built with the VMWARE VMXNET3 NIC device support, with
network abstraction layer is vulnerable to an integer overflow issue. It could
occur while initialisation of a new packets in the device.

A privileged user inside guest could use this flaw to crash the Qemu instance
resulting in DoS.

Upstream patch:
---------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=47882fa4975bf0b58dd74474329fdd7154e8f04c

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/08/19/10

Comment 1 Prasad J Pandit 2016-08-22 11:17:44 UTC
Acknowledgments:

Name: Li Qiang (Qihoo 360 Inc.)

Comment 2 Prasad J Pandit 2016-08-22 11:18:50 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1369032]

Comment 8 errata-xmlrpc 2017-08-02 00:56:16 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 11.0 (Ocata)
  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7
  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7
  Red Hat OpenStack Platform 8.0 (Liberty)
  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:2408 https://access.redhat.com/errata/RHSA-2017:2408

Comment 9 errata-xmlrpc 2017-08-02 04:45:11 UTC
This issue has been addressed in the following products:

  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:2392 https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.